﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;

namespace _98602
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Finished_Qty", typeof(int));
            for (int i = 0; i < 10; i++)
            {
                dt.Rows.Add(i % 4);
            }

            ultraGrid1.InitializeRow += new InitializeRowEventHandler(ultraGrid1_InitializeRow);
            ultraGrid1.DataSource = dt;

        }

        void ultraGrid1_InitializeRow(object sender, InitializeRowEventArgs e)
        {
            if (e.Row.Cells["Finished_Qty"].Value != null && (int)e.Row.Cells["Finished_Qty"].Value > 0)
                e.Row.Cells["Iamge"].Value = imageList1.Images[0];
            else
                e.Row.Cells["Iamge"].Value = null;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridColumn coll = e.Layout.Bands[0].Columns.Add();
            coll.Key = "Iamge";
            coll.Header.Caption = "Image";
            coll.DataType = typeof(Image);
            
        }
    }
}
